TYPO3.Neos - Task # 40304

Status: Resolved Priority: Should have
Author: Robert Lemke Category:

Created: 2012-08-28 Assigned To: Karsten Dambekalns
Updated: 2012-12-20 Due date:

Subiject: As a user, I'd like to be redirected to the last edited page after logging out

Description

Related issues:
related to TYPOS3.Neos - Task # 45361: Make "Neos_lastVisitedUri" Cookie obsolete Resolved 2013-02-11

Associated revisions

Revision 34eb9ae0 - 2012-12-18 21:36 - Karsten Dambekalns

[TASK] Redirect to last edit page after logout

Uses the Neos_lastVisitedUri in a similar way to the login.

Change-Id: labf45c44edb1584c0d5¢c630b60e5ddf02f6fa6bb

Resolves: #40304

Revision 781f44ce - 2013-03-26 11:38 - Adrian Foder

[TASK] Refactored backend login/logout code

This introduces a BackendRedirectionService which is responsible for
the redirections after a backend login or logout.

For redirecting an editor "back" to the frontend page where he came
from before logging in, a session key “lastVisitedUri"" is maintained.
Using the browser's sessionStorage it stores the user's last visited URI

to the session (see 131d77af758cc938e68952344315546d9a7¢9379b).

On logout, the content editor's last visited URI has the namespace

indicator (@) removed and the editor is redirected to that URI.

Resolves: #45361

Related: #40304

Change-Id: 1964f0d1dc05b14e8bc6e0b866583513b91e08769

Revision 47b301bb - 2013-11-28 14:09 - Bastian Waidelich

[FEATURE] Improved redirection upon login/logout

This improves the ~"BackendRedirectionService™ by decoupling it from
hard-coded URLs.

Neos currently stores the absolute URL in the browsers session storage.
Upon login a redirect-URL is constructed by appending the user's

2015-08-03 1/4




workspace to the stored path.
This breaks if "FLOW_REWRITEURLS is not set or if one decides to use
custom Routes (for example skipping the ".html" suffix).

This patch changes this by storing the identifier of the last visited
document node instead and by only using the ““UriBuilder™ to construct
URLs.

This also moves the JavaScript snippet from NeosBackendHeaderData.html
to a separate template that is appended before the closing body tag of

a page via TypoScript for performance reasons and so that this

functionality can be disabled without having to adjust the templates.

Besides this introduces some minor tweaks:

- Disable default error FlashMessage for LoginController
- Only add "logout" FlashMessage when the login Form is displayed
afterwards (avoids outdated FlashMessages)

- One DB lookup less in NodeController::showAction()

Change-Id: 1652a6354cf70c7f06825c40d840303b2199fb7de
Related: #40304

Reviewed-on: https://review.typo3.0rg/25676

Tested-by: Bastian Waidelich

Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Bastian Waidelich

Revision 63001385 - 2013-12-08 22:21 - Bastian Waidelich

[TASK] Move lastVisitedNode functionality to external script

Replaces the inline script that stores the last visited document node
in the session storage to an external file so that it doesn't violate
the Content Security Policy specification and so that it can be cached

by the browser.

The current node identifier is passed to the external script via a
data-neos-node attribute on the script tag.

Change-Id: 17237f97499be1e56c3ea9fa0c4403c333149c220
Depends: 1d3d887094e3a79e58ccfe4a89dff87ca0a96c291
Related: #40304

Reviewed-on: https://review.typo3.org/25688

Reviewed-by: Bastian Waidelich
Tested-by: Bastian Waidelich

Revision fa7e54a7 - 2013-12-13 16:54 - Adrian Foder

[BUGFIX] Use FQ TypoScript paths for lastVisitedNode functionality
https://review.typo3.org/25676
https://review.typo3.org/25688

Change Idaa3e0c5c¢3393533158840dc0617676f2589c628 made the shorthand
TypoScript object names not being found in the prototype Page.ts2

for the lastVisitedNode inclusion. This fixes this by using fully

qualified paths.

Change-Id: 10b315f3fa5d0a2c5de263e714339dbdff9856d2b
Releases: master, 1.0

Related: #40304

Reviewed-on: https://review.typo3.0rg/26369

Reviewed-by: Christian Mueller
Reviewed-by: Adrian Féder
Tested-by: Adrian Féder
Reviewed-by: Dominique Feyer
Tested-by: Dominique Feyer
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

Revision bdaf7d48 - 2013-12-13 16:55 - Adrian Foder

[BUGFIX] Use FQ TypoScript paths for lastVisitedNode functionality

Change Idaa3e0c5¢3393533158840dc0617676f2589¢628 made the shorthand
TypoScript object names not being found in the prototype Page.ts2

for the lastVisitedNode inclusion. This fixes this by using fully

qualified paths.

Change-Id: 10b315f3fa5d0a2c5de263e714339dbdff9856d2b
Releases: master, 1.0

Related: #40304

Reviewed-on: https://review.typo3.org/26388

Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

History

#1 - 2012-12-17 21:13 - Karsten Dambekalns
- Tracker changed from Story to Task

#2 - 2012-12-17 21:13 - Karsten Dambekalns

- Project changed from Base Distribution to TYPO3.Neos
- Status changed from New to Accepted

- Assigned To set to Karsten Dambekalns

#3 - 2012-12-17 21:28 - Karsten Dambekalns
- Status changed from Accepted to Under Review

https://review.typo3.org/17205

#4 - 2012-12-20 12:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
https://review.typo3.org/26369
https://review.typo3.org/26388
https://review.typo3.org/17205

- % Done changed from 0 to 100

Applied in changeset commit:34eb9ae0928c4b6ecc28e55da72a9e8fc8b80657.

2015-08-03 4/4



